<script setup>
import { store, closeSearch, searchResults, addItem, addItemToComp } from '@/store.js';
import { usePage } from '@inertiajs/vue3';
import draggable from "vuedraggable";
const page = usePage();
const types = {
    1: {
        name: 'Комплектующая',
        pad: 'комплектующую',
        link: 'items',
    },
    2: {
        name: 'Деталь',
        pad: 'деталь',
        link: 'details',
    },
    3: {
        name: 'Оборудование',
        pad: 'оборудование',
        link: 'equipments',
    },
    4: {
        name: 'Доп. оборудование',
        pad: 'доп. оборудование',
        link: 'customs',
    },
};
</script>

<template>
    <div class="pop" stype="z-index: 10" :class="{ '_active': store.popups.search.active > 0 }">
        <div class="popback" @click="closeSearch()">
        </div>
        <template v-if="store.popups.search.active > 1">
            <div class="container">
                <div class="pop__content wrap">
                    <div class="pop__name">
                        <div class="pop__title">
                            Выберите позицию <span v-if="store.popups.search.comp">для комплектации №{{ store.popups.search.comp }}</span>
                        </div>
                        <div class="pop__buttons">
                            <div class="pop__button pop__close" @click="closeSearch()">
                                <svg xmlns="http://www.w3.org/2000/svg" width="800px" height="800px" viewBox="0 0 24 24"
                                    fill="none">
                                    <path
                                        d="M20.7457 3.32851C20.3552 2.93798 19.722 2.93798 19.3315 3.32851L12.0371 10.6229L4.74275 3.32851C4.35223 2.93798 3.71906 2.93798 3.32854 3.32851C2.93801 3.71903 2.93801 4.3522 3.32854 4.74272L10.6229 12.0371L3.32856 19.3314C2.93803 19.722 2.93803 20.3551 3.32856 20.7457C3.71908 21.1362 4.35225 21.1362 4.74277 20.7457L12.0371 13.4513L19.3315 20.7457C19.722 21.1362 20.3552 21.1362 20.7457 20.7457C21.1362 20.3551 21.1362 19.722 20.7457 19.3315L13.4513 12.0371L20.7457 4.74272C21.1362 4.3522 21.1362 3.71903 20.7457 3.32851Z"
                                        fill="#FFFFFF" />
                                </svg>
                            </div>
                        </div>
                    </div>
                    <div class="pop__actual">
                        <div class="page__nav nomargin">
                            <form class="search__form" @submit.prevent="()=>{console.log('ignore')}">
                                <div class="search__input">
                                    <button type="submit"><svg width="24" height="24" viewBox="0 0 24 24" fill="none"
                                            xmlns="http://www.w3.org/2000/svg">
                                            <g clip-path="url(#clip0_1_60)">
                                                <path
                                                    d="M20.7801 19.7203L16.3033 15.2435C17.5233 13.7515 18.1231 11.8476 17.9787 9.92571C17.8343 8.00381 16.9567 6.21094 15.5275 4.91793C14.0983 3.62492 12.2268 2.93071 10.3001 2.97888C8.37336 3.02706 6.53886 3.81393 5.17605 5.17675C3.81323 6.53957 3.02635 8.37406 2.97818 10.3008C2.93001 12.2275 3.62422 14.099 4.91723 15.5282C6.21023 16.9574 8.00311 17.835 9.92501 17.9794C11.8469 18.1238 13.7508 17.524 15.2428 16.304L19.7196 20.7808C19.861 20.9174 20.0505 20.993 20.2471 20.9913C20.4438 20.9896 20.6319 20.9107 20.771 20.7717C20.91 20.6326 20.9889 20.4445 20.9906 20.2478C20.9923 20.0512 20.9167 19.8617 20.7801 19.7203ZM10.4998 16.5005C9.31315 16.5005 8.15311 16.1486 7.16642 15.4894C6.17972 14.8301 5.41069 13.893 4.95656 12.7966C4.50243 11.7003 4.38361 10.4939 4.61512 9.33C4.84664 8.16611 5.41808 7.09701 6.2572 6.2579C7.09631 5.41878 8.16541 4.84734 9.3293 4.61583C10.4932 4.38432 11.6996 4.50314 12.7959 4.95726C13.8923 5.41139 14.8294 6.18042 15.4887 7.16712C16.1479 8.15381 16.4998 9.31385 16.4998 10.5005C16.4981 12.0913 15.8653 13.6164 14.7405 14.7412C13.6157 15.866 12.0906 16.4988 10.4998 16.5005Z"
                                                    fill="#4A4C56" />
                                            </g>
                                            <defs>
                                                <clipPath id="clip0_1_60">
                                                    <rect width="18" height="18" fill="white"
                                                        transform="translate(3 3)" />
                                                </clipPath>
                                            </defs>
                                        </svg>
                                    </button>
                                    <input id="search__form" v-model="store.popups.search.string" @change="searchResults(1)">
                                </div>
                                <select type="text" id="material_id" name="material_id" class="search__select"
                                    v-model="store.popups.search.material" @change="searchResults(1)">
                                    <option value="">Выберите материал</option>
                                    <template v-for="item in $page['props']['materials']">
                                        <option :value="item.id">{{ item.name }}</option>
                                    </template>
                                </select>
                                <select type="text" id="category" name="category" class="search__select"
                                    v-model="store.popups.search.category" @change="searchResults(1)">
                                    <option value="">Выберите категорию</option>
                                    <option value="1">Комплектующие</option>
                                    <option value="2" v-if="!store.popups.search.forcomp">Детали</option>
                                    <option value="3">Оборудование</option>
                                </select>
                            </form>
                        </div>
                        <div class="popup__results" v-if="store.popups.search.info">
                            <div class="result">
                                <div class="result__article _centered">Категория</div>
                                <div class="result__article">Артикул</div>
                                <div class="result__article">Фото</div>
                                <div class="result__name">Название</div>
                                <div class="result__article _centered">Материал</div>
                                <div class="result__article _centered">Ед. изм</div>
                                <div class="result__article _centered">Количество</div>
                                <div class="result__title result__button">Действия</div>
                            </div>
                            <template v-for="item in store.popups.search.info.data">
                                <div class="result" v-if="item.type">
                                    <div class="result__article _centered">{{ types[item.type].name }}</div>
                                    <div class="result__article">{{ item.article }}</div>
                                    <div class="result__article"><img v-if="item.image" :src="'/photos/'+item.image"></div>
                                    <div class="result__name">{{ item.name }}</div>
                                    <div class="result__article _centered">{{
        $page['props']['materials'][item.material_id - 1].short_name }}</div>
                                    <div class="result__article _centered">{{
        $page['props']['measure_units'][item.measure_unit_id - 1].short_name }}</div>
                                    <div class="result__article _centered"><input class="result_input" type="number"
                                            v-model="item.amount"></div>
                                    <div class="result__button" @click="addItem(item, $page['props']['measure_units'][item.measure_unit_id - 1].short_name)" v-if="!store.popups.search.comp">Добавить</div>
                                    <div class="result__button" @click="addItemToComp(item)" v-else>Добавить</div>
                                </div>
                            </template>
                            <div class="pagination corner">
                                <template v-for="link in store.popups.search.info.links">
                                    <button @click="searchResults(link.label)" class="pagination__link" :class='{
        "_current": store.popups.search.info.current_page == link.label,
        "_disabled": !link.url,
    }
        ' :href="link.url" v-if="link.url">{{ link.label }}</button>
                                    <div v-else>{{ link.label }}</div>
                                </template>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </template>
    </div>
</template>
<style></style>
